<?php
namespace Teknisa\CRM\Service;


class MunicipioService
{
    protected $MunicipioFactory;
    
    public function __construct ($municipioFactory){
        
        $this->municipioFactory   = $municipioFactory;
    }
    
    public function geraCodigoMunicipio($cdpais, $sgestado, $nrorg){
        
        $paramsGetMaxCode = array(
                "CDPAIS"   => $cdpais,
                "SGESTADO" => $sgestado,
                "NRORG"    => $nrorg,
            );
        $maxCode =  $this->municipioFactory->geraCodigoMunicipio($paramsGetMaxCode);
        
        return str_pad((intval($maxCode)+1), 4, '0', STR_PAD_LEFT);
    }
}
?>