<?php
namespace Teknisa\CRM\Service;


class TagService {
    
    protected $tagFactory;
    
    public function __construct ($tagFactory){
        
        $this->tagFactory    = $tagFactory;
    }
    
    public function deleteTagsParcnegocio($code, $nrorg){
        $params = array(
            'NRPARCNEGOCIO' => $code,
            'NRORG'         => $nrorg,
        );
        $this->tagFactory->deleteTagsParcnegocio($params);
    }
    
    public function deleteTagsTicket($code, $nrorg){
        $params = array(
            'NRSEQCONTATO'  => $code,
            'NRORG'         => $nrorg,
        );
        $this->tagFactory->deleteTagsTicket($params);    
    }
    
    public function saveOrUpdateTag($code, $tag, $table, $nrorg){
        if($table == 'CONTATO'){
            
            $params = array(
                'NRSEQCONTATO'  => (int)$code,
                'IDNOMETAG'     => $tag,
                'NRORG'         => $nrorg,
            );
            
            $this->tagFactory->saveTagTicket($params);
            
        }else if($table == 'PARCNEGOCIO'){
            
            $params = array(
                'NRPARCNEGOCIO' => (int)$code,
                'IDNOMETAG'     => $tag,
                'NRORG'         => $nrorg,
            );
            $this->tagFactory->saveTagParcnegocio($params);
            
        }
    }
}